Skip to content

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

Catalog API provides endpoints to manage your in-game store catalog and process purchases. Use the endpoints to configure virtual items, virtual currencies, game keys, bundles, cart and payment flows, item attributes, and import items from external sources.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/catalog/
https://store.xsolla.com/api/
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Update cart item from current cartClient-side

Request

Updates an existing cart item or creates the one in the cart.

Security
AuthForCart
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
item_skustringrequired

Item SKU.

Example: booster_mega_1
Bodyapplication/json
quantitynumber

Item quantity.

Default 123
curl -i -X PUT \
  https://xsolla.redocly.app/_mock/api/catalog/v2/project/44056/cart/item/booster_mega_1 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "quantity": 123
  }'

Responses

The cart was successfully updated.

Response
No content

Delete cart item from current cartClient-side

Request

Removes an item from the cart.

Security
AuthForCart
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
item_skustringrequired

Item SKU.

Example: booster_mega_1
curl -i -X DELETE \
  https://xsolla.redocly.app/_mock/api/catalog/v2/project/44056/cart/item/booster_mega_1 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The item from the cart was successfully deleted.

Response
No content
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Catalog

This API allows getting any kind of sellable items or specific item.

Operations
Operations
Operations